summaryrefslogtreecommitdiff
path: root/archiso/hooks
diff options
context:
space:
mode:
authorAaron Griffin <aaronmgriffin@gmail.com>2008-12-23 02:17:59 -0600
committerAaron Griffin <aaronmgriffin@gmail.com>2008-12-23 02:17:59 -0600
commit29f5c0373c0f4a86f327995e8b7f3eceb8775521 (patch)
tree75c05bb6dfeffee069298cfe120ffb7089716fd8 /archiso/hooks
parent9102eadfd330b2b2fb68c85e75c01768bd3504a7 (diff)
Add existence checks to the boot-media scan
This prevents some cosmetic errors when globbing fails and the scripts try to mount something silly like "/dev/hd[a-z]" Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
Diffstat (limited to 'archiso/hooks')
-rw-r--r--archiso/hooks/archiso2
1 files changed, 2 insertions, 0 deletions
diff --git a/archiso/hooks/archiso b/archiso/hooks/archiso
index fdbd514..b01addb 100644
--- a/archiso/hooks/archiso
+++ b/archiso/hooks/archiso
@@ -61,6 +61,7 @@ run_hook ()
/bin/modprobe -q isofs >/dev/null 2>&1
msg ":: Scanning cd drives..."
for cdrom in /dev/hd[a-z] /dev/sr[0-9]* /dev/scd[a-z] /dev/sg[0-9]*; do
+ [ ! -e "${cdrom}" ] || continue
if mount -r -t iso9660 "${cdrom}" /bootmnt >/dev/null 2>&1; then
if [ -e "/bootmnt/isomounts" ]; then
found=1
@@ -76,6 +77,7 @@ run_hook ()
if [ ${found} -eq 0 ]; then
msg ":: Scanning usb drives..."
for usb in /dev/sd[a-z][0-9]; do
+ [ ! -e "${usb}" ] || continue
if mount -r -t vfat "${usb}" /bootmnt >/dev/null 2>&1 ||\
mount -r -t ext2 "${usb}" /bootmnt >/dev/null 2>&1; then
if [ -e "/bootmnt/isomounts" ]; then